import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ResourceConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly triggers?: {
        [key: string]: string;
    };
}
/**
 * @stability stable
 */
export declare class Resource extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: ResourceConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _triggers?;
    /**
     * @stability stable
     */
    get triggers(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set triggers(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTriggers(): void;
    /**
     * @stability stable
     */
    get triggersInput(): {
        [key: string]: string;
    } | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
